package com.example.wc24h;

import android.app.Dialog;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;

class TetrisDialog extends Dialog
{
    private MainActivity        mContext        = null;
    byte[]                      msg             = new byte[34];

    TetrisDialog(MainActivity a)
    {
        super(a, R.style.dialog_custom_style);
        mContext = a;
        setContentView(R.layout.tetris_dialog);
        msg[0] = 'g';
        msg[1] = 'T';
        msg[3] = '\0';

        Button btn = (Button)findViewById(R.id.start_btn);
        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                msg[2] = 's';
                mContext.SendMessage(msg, 4);
            }
        });
        btn = (Button)findViewById(R.id.end_btn);
        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                msg[2] = 'q';
                mContext.SendMessage(msg, 4);
            }
        });
        ImageButton ibtn = (ImageButton)findViewById(R.id.up_btn);
        ibtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                msg[2] = 'u';
                mContext.SendMessage(msg, 4);
            }
        });
        ibtn = (ImageButton)findViewById(R.id.left_btn);
        ibtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                msg[2] = 'l';
                mContext.SendMessage(msg, 4);
            }
        });
        ibtn = (ImageButton)findViewById(R.id.right_btn);
        ibtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                msg[2] = 'r';
                mContext.SendMessage(msg, 4);
            }
        });
        ibtn = (ImageButton)findViewById(R.id.down_btn);
        ibtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                msg[2] = 'd';
                mContext.SendMessage(msg, 4);
            }
        });
        ibtn = (ImageButton)findViewById(R.id.center_btn);
        ibtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                msg[2] = 'm';
                mContext.SendMessage(msg, 4);
            }
        });

    }

    @Override
    protected void onStart()
    {
        super.onStart();
    }

    @Override
    protected void onStop()
    {
        super.onStop();
    }
}